{
  "name": "saas-lab",
  "version": "0.0.0",
  "scripts": {
    "dev": "vite --mode dev",
    "build": "vue-tsc --noEmit && vite build --mode prod && npm run deploy",
    "build:test": "vue-tsc --noEmit && vite build --mode test",
    "build:pre": "vue-tsc --noEmit && vite build --mode pre",
    "preview": "vite preview --port 4173",
    "typecheck": "vue-tsc --noEmit",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "deploy": "node ./deploy.js"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.0.9",
    "@tinymce/tinymce-vue": "^5.0.0",
    "@vueuse/core": "^9.1.0",
    "ali-oss": "^6.17.1",
    "axios": "^0.27.2",
    "blueimp-md5": "^2.19.0",
    "countup.js": "^2.3.2",
    "dayjs": "^1.11.5",
    "element-plus": "^2.2.14",
    "lodash-es": "^4.17.21",
    "pinia": "^2.0.20",
    "qs": "^6.11.0",
    "video.js": "^7.20.2",
    "vue": "^3.2.37",
    "vue-router": "^4.1.3"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.1.0",
    "@types/ali-oss": "^6.16.4",
    "@types/blueimp-md5": "^2.18.0",
    "@types/node": "^16.11.45",
    "@types/qs": "^6.9.7",
    "@types/video.js": "^7.3.45",
    "@vitejs/plugin-vue": "^3.0.3",
    "@vue/eslint-config-typescript": "^11.0.0",
    "@vue/tsconfig": "^0.1.3",
    "chalk": "^5.0.1",
    "eslint": "^8.5.0",
    "eslint-plugin-vue": "^9.3.0",
    "sass": "^1.54.5",
    "typescript": "~4.7.4",
    "unplugin-auto-import": "^0.11.2",
    "vite": "^3.0.9",
    "vite-plugin-checker": "^0.4.9",
    "vue-tsc": "^0.40.1"
  }
}
